New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Avatars

Start an avatar video

POST
/api/v1/talking-head/videos

Request Body

application/json
  1. body
headshot_base64?|

JPEG, PNG or WebP photo

avatar_id?|

Saved avatar to use instead of a photo

stock_id?|

Stock avatar look to use instead of a photo

engine?|

Video model. Leave it out to use LTX-2.5, or LTX-2.3 when only LTX-2.3 is downloaded. FlashHead makes a square close-up of the face and is much faster

size?Size

FlashHead output size in pixels. 1024 needs flashhead-pro

Default512
Value in5121024
framing?Framing

FlashHead framing: a square close-up of the face, or the whole photo with the face blended back in

Default"face"
Value in"face""photo"
source*Source
Value in"history""speech"
history_id?string|null
voice_id?string|null
voice_source?|null
model_family?|null
design?|null
text?|null
language?|
Default"Auto"
scene?|
Default""
resolution?Resolution
Default"720p"
Value in"480p""720p""1080p""1440p"
fps?Fps
Default24
Value in24254850
consent?Consent
Defaultfalse
subtitle_params?|null
params?|

Video model settings by name, from the model's params

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/talking-head/videos' \  -H 'Content-Type: application/json' \  -d '{  "source": "history"}'
Example Response
null